#include "Model.h"

using namespace Framework;

Model::Model()
{
    views = new RCArray< View >();
}

Model::~Model()
{
    views->release();
}

void Model::addView( View *view )
{
    views->add( view );
}

void Model::update()
{
    for( auto v = views->getIterator(); v; v++ )
        v->update( this );
}