#pragma once

#include <AuswahlBox.h>
#include "../../Netzwerk/EditorKlient.h"

using namespace Framework;

class RightTool : public Zeichnung
{
private:
    int ref;

public:
    RightTool();
    virtual ~RightTool();
    RightTool *getThis();
    RightTool *release();
};

class RightTools : public ZeichnungHintergrund
{
private:
    AuswahlBox * toolAuswahl;
    RCArray< RightTool > *tools;
    Punkt maxSize;
    int ref;

public:
    RightTools( Schrift *zSchrift, Punkt maxSize );
    ~RightTools();
    void addTool( RightTool *tool, char *name );
    void doMausEreignis( MausEreignis &me ) override;
    void doTastaturEreignis( TastaturEreignis &te ) override;
    bool tick( double tickVal ) override;
    void render( Bild &rObj ) override;
    void selectTool( int index );
    RightTools *getThis();
    RightTools *release();
};