#pragma once

#include "../RightTools.h"
#include "../../../../Spiel/Karte/Strukturen.h"
#include "../../../Karte/EditorKarte.h"

namespace Editor
{
    class TeamTool : public RightTool
    {
    private:
        AuswahlBox * teamAuswahl;
        TextFeld *skillStartT;
        TextFeld *skillStartStabilittT;
        TextFeld *skillStartEnergieT;
        TextFeld *skillStartReparaturT;
        TextFeld *skillStartAkkuT;
        TextFeld *skillStartWendigkeitT;
        TextFeld *skillStartBeschleunigungT;
        TextFeld *skillStartAntriebEffizienzT;
        TextFeld *skillStartLaserIntensittT;
        TextFeld *skillStartLaserEffizienzT;
        TextFeld *skillStartLaserTempoT;
        TextFeld *skillStartEnergieSchildT;
        TextFeld *skillStartEnergieSchildEffizienzT;
        TextFeld *skillStartStabilitt;
        TextFeld *skillStartEnergie;
        TextFeld *skillStartReparatur;
        TextFeld *skillStartAkku;
        TextFeld *skillStartWendigkeit;
        TextFeld *skillStartBeschleunigung;
        TextFeld *skillStartAntriebEffizienz;
        TextFeld *skillStartLaserIntensitt;
        TextFeld *skillStartLaserEffizienz;
        TextFeld *skillStartLaserTempo;
        TextFeld *skillStartEnergieSchild;
        TextFeld *skillStartEnergieSchildEffizienz;
        Knopf *speichern;
        KarteDaten *daten;

    public:
        TeamTool( Schrift *zSchrift, KarteDaten *daten );
        ~TeamTool();
        void doMausEreignis( MausEreignis &me ) override;
        void doTastaturEreignis( TastaturEreignis &te ) override;
        bool tick( double tickVal ) override;
        void render( Bild &rObj ) override;
        void selectTeam( int id );
    };
}