#include "Dialog.h"
#include <TextFeld.h>
#include <MausEreignis.h>
#include <TastaturEreignis.h>
#include <Schrift.h>

// Inhalt der Dialog Klasse aus Dialog.h
// Konstruktor
//  zS: Die zu verwendende Schrift
Dialog::Dialog( TextRenderer *zS )
    : Fenster()
{
    setStyle( Fenster::Style::normal | Fenster::Style::Sichtbar | Fenster::Style::BodyHAlpha | Fenster::Style::BodyHintergrund |
              Fenster::Style::TitelHintergrund | Fenster::Style::TitelHAlpha );
    setMausEreignis( _ret1ME );
    setTastaturEreignis( _ret1TE );
    setRBreite( 1 );
    setRFarbe( 0xFFFFFFFF );
    setTitel( "Fehler" );
    zTTextFeld()->setTextRendererZ( zS->getThis() );
    setTSFarbe( 0xFFFFFFFF );
    zTTextFeld()->setSize( 0, 20 );
    zTTextFeld()->addStyle( TextFeld::Style::Sichtbar | TextFeld::Style::Center | TextFeld::Style::Rahmen );
    setTRFarbe( 0xFF00FF00 );
    setTRBreite( 1 );
    setTAfFarbe( 0x1000FF00 );
    setTAfStrength( -15 );
    setSKAfFarbe( 0xFF00FF00 );
    setSKAfStrength( 30 );

    verlassen = 0;
}

// Gibt zurck ob das Fenster verlassen wurde
bool Dialog::hatVerlassen() const
{
    return verlassen;
}