#pragma once

#include "Dialog.h"
#include <Knopf.h>

using namespace Framework;

class Nachricht : public Dialog
{
private:
    Knopf *ok;
    TextFeld *text;

public:
    // Konstruktor
    //  zS: Die zu verwendende Schrift
    //  nachricht: Der Fehler, der angezeigt werden soll
    //  maxSize: Die Bildschirmgre in Pixeln
    Nachricht( TextRenderer *zS, char *nachricht, Punkt maxSize, std::function< void() > onClose );
    // Destruktor
    ~Nachricht();
};